<?php

/**
 * WordPress functions
 * @category Functions
 * @author Krik
 */

// Krik framework
$krik_framework = [
	'acf',
	'auto-login',
	'branding',
	'cleaning',
	'comments',
	'gravity',
	'helpers',
	'menus',
	'mix',
	'nas',
	'plugins',
	'post-types',
	'scripts',
	'search',
	'styles',
	'taxonomies',
	'theme',
	'updates'
];

// Blade views templates folder
add_filter('bladerunner/template/bladepath', 'krik_blade_views');

function krik_blade_views()
{
	return __DIR__ . '/resources/views';
}

foreach ($krik_framework as $framework) {
	require_once(__DIR__ . '/framework/' . $framework . '.php');
}
